<?php

namespace App\Enums;

use App\Concerns\HasLabels;

enum DietaryRestriction: string
{
    use HasLabels;

    case Vegetarian = 'vegetarian';
    case Vegan = 'vegan';
    case GlutenFree = 'gluten-free';
    case DairyFree = 'dairy-free';
    case NutFree = 'nut-free';
    case Halal = 'halal';
    case LowCarb = 'low-carb';
    case LowFat = 'low-fat';

    protected function translationKey(): string
    {
        return 'enums.dietary_restriction.'.$this->value;
    }
}
